Bug 1141210 (CVE-2014-3182) - CVE-2014-3182 Kernel: HID: logitech-dj OOB array access
Summary: CVE-2014-3182 Kernel: HID: logitech-dj OOB array access
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1141211 1141212 1141213 1141214
Blocks: 1140968
TreeView+ depends on / blocked
 
Reported: 2014-09-12 13:01 UTC by Prasad J Pandit
Modified: 2019-09-29 13:21 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An out-of-bounds read flaw was found in the way the Logitech Unifying receiver driver handled HID reports with an invalid device_index value. An attacker with physical access to the system could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2016-02-10 07:58:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1318 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Realtime 2.5 security and enhancement update 2014-09-29 23:41:06 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC

Description Prasad J Pandit 2014-09-12 13:01:33 UTC
Linux kernel built with the Human Interface Device(HID) Bus support(CONFIG_HID)
along with a Logitech Unifying receivers full support(CONFIG_HID_LOGITECH_DJ)
driver, is vulnerable to an OOB read flaw. It could occur if a device offers
a malicious HID report with arbitrary device_index.

A local user with physical access to the system could use this flaw to crash
the system resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/ad3e14d7c5268c2e24477c6ef54bbdf88add5d36

Comment 1 Prasad J Pandit 2014-09-12 13:02:56 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5 and 6.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2 may address this issue.

Comment 4 Prasad J Pandit 2014-09-12 13:04:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1141214]

Comment 5 errata-xmlrpc 2014-09-29 19:42:06 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1318 https://rhn.redhat.com/errata/RHSA-2014-1318.html

Comment 6 Martin Prpič 2014-09-30 10:47:53 UTC
IssueDescription:

An out-of-bounds read flaw was found in the way the Logitech Unifying receiver driver handled HID reports with an invalid device_index value. An attacker with physical access to the system could use this flaw to crash the system or, potentially, escalate their privileges on the system.

Comment 7 errata-xmlrpc 2014-12-09 20:35:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html


Note You need to log in before you can comment on or make changes to this bug.